Bug 135248 - Update the Mono .NET Framework to 2.4
Update the Mono .NET Framework to 2.4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Florent Thoumie
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-04 10:40 UTC by romain
Modified: 2009-06-22 09:02 UTC (History)
0 users

See Also:


Attachments
banshee.diff (784 bytes, patch)
2009-06-04 10:40 UTC, romain
no flags Details | Diff
libgdiplus.diff (1.25 KB, patch)
2009-06-04 10:40 UTC, romain
no flags Details | Diff
mono-zeroconf.diff (4.36 KB, patch)
2009-06-04 10:40 UTC, romain
no flags Details | Diff
taglib-sharp.diff (755 bytes, patch)
2009-06-04 10:40 UTC, romain
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description romain 2009-06-04 10:40:03 UTC
This set of patches updates the mono framework to the latest 2.4 version:

port                     | old version | new version | reason of update
-------------------------+-------------+-------------+-----------------------------------------------------
lang/mono                |         2.0 |         2.4 | N/A
devel/mono-tools         |         2.0 |         2.4 | N/A
x11-toolkits/libgdiplus  |         2.0 |         2.4 | N/A
devel/monodoc            |         2.0 |        DEAD | Now included in lang/mono
multimedia/banshee       |     1.4.3,1 |   1.4.3_1,1 | Depends on devel/monodoc
audio/taglib-sharp       |     2.0.3.2 |   2.0.3.2_1 | Depends on devel/monodoc
x11-toolkits/gtk-sharp20 |      2.12.8 |      2.12.9 | Depends on devel/monodoc (and update to latest version)
net/mono-zeroconf        |       0.7.6 |       0.9.0 | Depends on devel/monodoc (and update to latest version)

Fix: diff -ruN /var/cache/portshaker/freebsd/x11-toolkits/gtk-sharp20/Makefile /tmp/gtk-sharp20/Makefile
--- /var/cache/portshaker/freebsd/x11-toolkits/gtk-sharp20/Makefile	2009-03-22 20:34:49.000000000 +0100
+++ /tmp/gtk-sharp20/Makefile	2009-06-04 11:11:26.236262000 +0200
@@ -7,17 +7,15 @@
 #
 
 PORTNAME=	gtk-sharp
-PORTVERSION=	2.12.8
+PORTVERSION=	2.12.9
 CATEGORIES=	x11-toolkits
 MASTER_SITES=	GNOME
 
 MAINTAINER=	mono@FreeBSD.org
 COMMENT=	GTK+ and GNOME interfaces for the .NET runtime
 
-BUILD_DEPENDS=	mono:${PORTSDIR}/lang/mono \
-		monodocer:${PORTSDIR}/devel/monodoc
+BUILD_DEPENDS=	mono:${PORTSDIR}/lang/mono
 RUN_DEPENDS=	mono:${PORTSDIR}/lang/mono \
-		monodocer:${PORTSDIR}/devel/monodoc \
 		${SITE_PERL}/${PERL_ARCH}/XML/LibXML.pm:${PORTSDIR}/textproc/p5-XML-LibXML
 
 LATEST_LINK=	gtk-sharp20
diff -ruN /var/cache/portshaker/freebsd/x11-toolkits/gtk-sharp20/distinfo /tmp/gtk-sharp20/distinfo
--- /var/cache/portshaker/freebsd/x11-toolkits/gtk-sharp20/distinfo	2009-03-22 20:34:49.000000000 +0100
+++ /tmp/gtk-sharp20/distinfo	2009-06-04 11:11:26.236262000 +0200
@@ -1,3 +1,3 @@
-MD5 (gtk-sharp-2.12.8.tar.bz2) = 1b12a33df2ab87448848c0cc0733ca77
-SHA256 (gtk-sharp-2.12.8.tar.bz2) = b2edc4bb213c1a0fc40dede222116686f04c4ba9196f80c5d1532d5ee2128020
-SIZE (gtk-sharp-2.12.8.tar.bz2) = 1605876
+MD5 (gtk-sharp-2.12.9.tar.bz2) = 2619f6cbba514f10582f8961ed84063b
+SHA256 (gtk-sharp-2.12.9.tar.bz2) = d580bd03246b7885de8d4271ea736eb0925153a08a396d6b382c8193a0ed7beb
+SIZE (gtk-sharp-2.12.9.tar.bz2) = 1606047
diff -ruN /var/cache/portshaker/freebsd/x11-toolkits/gtk-sharp20/pkg-plist /tmp/gtk-sharp20/pkg-plist
--- /var/cache/portshaker/freebsd/x11-toolkits/gtk-sharp20/pkg-plist	2009-02-09 09:59:54.000000000 +0100
+++ /tmp/gtk-sharp20/pkg-plist	2009-02-19 15:24:15.255579000 +0100
@@ -1,3 +1,4 @@
+@comment $FreeBSD$
 bin/gapi2-codegen
 bin/gapi2-fixup
 bin/gapi2-parser
@@ -143,6 +144,7 @@
 share/gapi-2.0/glib-api.xml
 share/gapi-2.0/gtk-api.xml
 share/gapi-2.0/pango-api.xml
+@dirrmtry share/gapi-2.0
 @dirrmtry lib/mono/gtk-sharp-2.0
 @dirrm lib/mono/gac/policy.2.8.pango-sharp/0.0.0.0__35e10195dab3c99f
 @dirrm lib/mono/gac/policy.2.8.pango-sharp
@@ -201,18 +203,17 @@
 @dirrm lib/mono/gac/policy.2.10.atk-sharp/0.0.0.0__35e10195dab3c99f
 @dirrm lib/mono/gac/policy.2.10.atk-sharp
 @dirrm lib/mono/gac/pango-sharp/2.12.0.0__35e10195dab3c99f
-@dirrmtry lib/mono/gac/pango-sharp
+@dirrm lib/mono/gac/pango-sharp
 @dirrm lib/mono/gac/gtk-sharp/2.12.0.0__35e10195dab3c99f
-@dirrmtry lib/mono/gac/gtk-sharp
+@dirrm lib/mono/gac/gtk-sharp
 @dirrm lib/mono/gac/gtk-dotnet/2.12.0.0__35e10195dab3c99f
-@dirrmtry lib/mono/gac/gtk-dotnet
+@dirrm lib/mono/gac/gtk-dotnet
 @dirrm lib/mono/gac/glib-sharp/2.12.0.0__35e10195dab3c99f
-@dirrmtry lib/mono/gac/glib-sharp
+@dirrm lib/mono/gac/glib-sharp
 @dirrm lib/mono/gac/glade-sharp/2.12.0.0__35e10195dab3c99f
-@dirrmtry lib/mono/gac/glade-sharp
+@dirrm lib/mono/gac/glade-sharp
 @dirrm lib/mono/gac/gdk-sharp/2.12.0.0__35e10195dab3c99f
-@dirrmtry lib/mono/gac/gdk-sharp
+@dirrm lib/mono/gac/gdk-sharp
 @dirrm lib/mono/gac/atk-sharp/2.12.0.0__35e10195dab3c99f
-@dirrmtry lib/mono/gac/atk-sharp
+@dirrm lib/mono/gac/atk-sharp
 @dirrmtry lib/gtk-sharp-2.0
-@dirrmtry share/gapi-2.0
--- gtk-sharp20.diff ends here ---

diff -ruN /var/cache/portshaker/freebsd/devel/mono-tools/Makefile /tmp/mono-tools/Makefile
--- /var/cache/portshaker/freebsd/devel/mono-tools/Makefile	2009-02-09 09:59:55.000000000 +0100
+++ /tmp/mono-tools/Makefile	2009-06-04 11:16:58.599187000 +0200
@@ -7,18 +7,16 @@
 #
 
 PORTNAME=	mono-tools
-PORTVERSION=	2.0
+PORTVERSION=	2.4
 CATEGORIES=	devel
-MASTER_SITES=	ftp://ftp.novell.com/pub/mono/sources/${PORTNAME}/
+MASTER_SITES=	http://ftp.novell.com/pub/mono/sources/${PORTNAME}/
 
 MAINTAINER=	mono@FreeBSD.org
 COMMENT=	Documentation browser for Mono and Mono libraries
 
 BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/gecko-sharp-2.0.pc:${PORTSDIR}/www/gecko-sharp20 \
-		${LOCALBASE}/lib/libgdiplus.a:${PORTSDIR}/x11-toolkits/libgdiplus \
-		monodocer:${PORTSDIR}/devel/monodoc
-RUN_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/gecko-sharp-2.0.pc:${PORTSDIR}/www/gecko-sharp20 \
-		monodocer:${PORTSDIR}/devel/monodoc
+		${LOCALBASE}/lib/libgdiplus.a:${PORTSDIR}/x11-toolkits/libgdiplus
+RUN_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/gecko-sharp-2.0.pc:${PORTSDIR}/www/gecko-sharp20
 
 USE_BZIP2=	yes
 USE_GNOME=	gnomehack gnometarget gnomedesktopsharp20
@@ -40,6 +38,6 @@
 	@${FIND} ${WRKSRC} -name "${GNOME_MAKEFILEIN}*" -type f | ${XARGS} ${REINPLACE_CMD} -e \
 		's|@datadir@/man/man1|@mandir@/man1|g'
 
-.include "${.CURDIR}/../../lang/mono/bsd.mono.mk"
-.include "${.CURDIR}/../../www/mozilla/bsd.gecko.mk"
+.include "${PORTSDIR}/lang/mono/bsd.mono.mk"
+.include "${PORTSDIR}/www/mozilla/bsd.gecko.mk"
 .include <bsd.port.post.mk>
diff -ruN /var/cache/portshaker/freebsd/devel/mono-tools/distinfo /tmp/mono-tools/distinfo
--- /var/cache/portshaker/freebsd/devel/mono-tools/distinfo	2009-02-09 09:59:56.000000000 +0100
+++ /tmp/mono-tools/distinfo	2009-03-02 02:25:21.550175000 +0100
@@ -1,3 +1,3 @@
-MD5 (mono-tools-2.0.tar.bz2) = 955025ab9b25bc58058facc39ab88aae
-SHA256 (mono-tools-2.0.tar.bz2) = 69f18340b8abfe8c92a0324ad0e20641690f81e64fbb2514e53c8ca0689c34e8
-SIZE (mono-tools-2.0.tar.bz2) = 742545
+MD5 (mono-tools-2.4.tar.bz2) = 6379a7aa220de807f118dbab32741206
+SHA256 (mono-tools-2.4.tar.bz2) = 428d849058eb378b06c4363adeda36f96218b0f8300312df51cb712c74635e16
+SIZE (mono-tools-2.4.tar.bz2) = 946217
diff -ruN /var/cache/portshaker/freebsd/devel/mono-tools/files/patch-catalog.cs.in /tmp/mono-tools/files/patch-catalog.cs.in
--- /var/cache/portshaker/freebsd/devel/mono-tools/files/patch-catalog.cs.in	2005-07-10 23:43:47.000000000 +0200
+++ /tmp/mono-tools/files/patch-catalog.cs.in	1970-01-01 01:00:00.000000000 +0100
@@ -1,36 +0,0 @@
---- gnunit/src/catalog.cs.in.orig	Sat Jul  2 13:53:24 2005
-+++ gnunit/src/catalog.cs.in	Sat Jul  2 13:55:02 2005
-@@ -21,12 +21,12 @@
- using System.Runtime.InteropServices;
- 
- class Catalog {
--	[DllImport("libc")]
-+	[DllImport("libintl")]
- 	static extern IntPtr bindtextdomain (IntPtr domainname, IntPtr dirname);
--	[DllImport("libc")]
-+	[DllImport("libintl")]
- 	static extern IntPtr bind_textdomain_codeset (IntPtr domainname,
- 		IntPtr codeset);
--	[DllImport("libc")]
-+	[DllImport("libintl")]
- 	static extern IntPtr textdomain (IntPtr domainname);
- 	
- 	public static void Init (String package, String localedir)
-@@ -42,7 +42,7 @@
- 		Marshal.FreeHGlobal (iutf8);
- 	}
- 
--	[DllImport("libc")]
-+	[DllImport("libintl")]
- 	static extern IntPtr gettext (IntPtr instring);
- 	
- 	public static String GetString (String s)
-@@ -53,7 +53,7 @@
- 		return t;
- 	}
- 
--	[DllImport("libc")]
-+	[DllImport("libintl")]
- 	static extern IntPtr ngettext (IntPtr singular, IntPtr plural, Int32 n);
- 	
- 	public static String GetPluralString (String s, String p, Int32 n)
diff -ruN /var/cache/portshaker/freebsd/devel/mono-tools/pkg-plist /tmp/mono-tools/pkg-plist
--- /var/cache/portshaker/freebsd/devel/mono-tools/pkg-plist	2009-02-09 09:59:56.000000000 +0100
+++ /tmp/mono-tools/pkg-plist	2009-04-01 16:23:51.926444000 +0200
@@ -1,13 +1,13 @@
-@comment $FreeBSD: ports/devel/mono-tools/pkg-plist,v 1.8 2009/02/09 08:59:56 flz Exp $
+@comment $FreeBSD$
 bin/create-native-map
 bin/gasnview
 bin/gendarme
 bin/gendarme-wizard
-bin/gnunit
-bin/gnunit2
+bin/gsharp
 bin/gui-compare
 bin/ilcontrast
 bin/monodoc
+bin/mperfmon
 bin/mprof-decoder
 bin/mprof-heap-viewer
 lib/create-native-map/MapAttribute.cs
@@ -16,6 +16,8 @@
 lib/gendarme/Gendarme.Rules.BadPractice.dll
 lib/gendarme/Gendarme.Rules.Concurrency.dll
 lib/gendarme/Gendarme.Rules.Correctness.dll
+lib/gendarme/Gendarme.Rules.Design.Generic.dll
+lib/gendarme/Gendarme.Rules.Design.Linq.dll
 lib/gendarme/Gendarme.Rules.Design.dll
 lib/gendarme/Gendarme.Rules.Exceptions.dll
 lib/gendarme/Gendarme.Rules.Interoperability.dll
@@ -23,6 +25,7 @@
 lib/gendarme/Gendarme.Rules.Naming.dll
 lib/gendarme/Gendarme.Rules.Performance.dll
 lib/gendarme/Gendarme.Rules.Portability.dll
+lib/gendarme/Gendarme.Rules.Security.Cas.dll
 lib/gendarme/Gendarme.Rules.Security.dll
 lib/gendarme/Gendarme.Rules.Serialization.dll
 lib/gendarme/Gendarme.Rules.Smells.dll
@@ -30,7 +33,7 @@
 lib/gendarme/gendarme-wizard.exe
 lib/gendarme/gendarme.exe
 lib/gendarme/rules.xml
-lib/gui-compare/Mono.Cecil.dll
+lib/gsharp/gsharp.exe
 lib/gui-compare/gui-compare.exe
 lib/ilcontrast/ilcontrast.exe
 lib/mono-tools/mprof-decoder-library.dll
@@ -42,22 +45,84 @@
 lib/mono-tools/mprof-heap-viewer.exe
 lib/mono-tools/mprof-heap-viewer.exe.mdb
 lib/mono/1.0/gasnview.exe
-lib/mono/1.0/gnunit.exe
-lib/mono/2.0/gnunit2.exe
 lib/monodoc/GeckoHtmlRender.dll
 lib/monodoc/GtkHtmlHtmlRender.dll
 lib/monodoc/MonoWebBrowserHtmlRender.dll
 lib/monodoc/browser.exe
+lib/monodoc/sources/Gendarme.Framework.source
+lib/monodoc/sources/Gendarme.Framework.tree
+lib/monodoc/sources/Gendarme.Framework.zip
+lib/monodoc/sources/Gendarme.Rules.BadPractice.source
+lib/monodoc/sources/Gendarme.Rules.BadPractice.tree
+lib/monodoc/sources/Gendarme.Rules.BadPractice.zip
+lib/monodoc/sources/Gendarme.Rules.Concurrency.source
+lib/monodoc/sources/Gendarme.Rules.Concurrency.tree
+lib/monodoc/sources/Gendarme.Rules.Concurrency.zip
+lib/monodoc/sources/Gendarme.Rules.Correctness.source
+lib/monodoc/sources/Gendarme.Rules.Correctness.tree
+lib/monodoc/sources/Gendarme.Rules.Correctness.zip
+lib/monodoc/sources/Gendarme.Rules.Design.Generic.source
+lib/monodoc/sources/Gendarme.Rules.Design.Generic.tree
+lib/monodoc/sources/Gendarme.Rules.Design.Generic.zip
+lib/monodoc/sources/Gendarme.Rules.Design.Linq.source
+lib/monodoc/sources/Gendarme.Rules.Design.Linq.tree
+lib/monodoc/sources/Gendarme.Rules.Design.Linq.zip
+lib/monodoc/sources/Gendarme.Rules.Design.source
+lib/monodoc/sources/Gendarme.Rules.Design.tree
+lib/monodoc/sources/Gendarme.Rules.Design.zip
+lib/monodoc/sources/Gendarme.Rules.Exceptions.source
+lib/monodoc/sources/Gendarme.Rules.Exceptions.tree
+lib/monodoc/sources/Gendarme.Rules.Exceptions.zip
+lib/monodoc/sources/Gendarme.Rules.Interoperability.source
+lib/monodoc/sources/Gendarme.Rules.Interoperability.tree
+lib/monodoc/sources/Gendarme.Rules.Interoperability.zip
+lib/monodoc/sources/Gendarme.Rules.Maintainability.source
+lib/monodoc/sources/Gendarme.Rules.Maintainability.tree
+lib/monodoc/sources/Gendarme.Rules.Maintainability.zip
+lib/monodoc/sources/Gendarme.Rules.Naming.source
+lib/monodoc/sources/Gendarme.Rules.Naming.tree
+lib/monodoc/sources/Gendarme.Rules.Naming.zip
+lib/monodoc/sources/Gendarme.Rules.Performance.source
+lib/monodoc/sources/Gendarme.Rules.Performance.tree
+lib/monodoc/sources/Gendarme.Rules.Performance.zip
+lib/monodoc/sources/Gendarme.Rules.Portability.source
+lib/monodoc/sources/Gendarme.Rules.Portability.tree
+lib/monodoc/sources/Gendarme.Rules.Portability.zip
+lib/monodoc/sources/Gendarme.Rules.Security.Cas.source
+lib/monodoc/sources/Gendarme.Rules.Security.Cas.tree
+lib/monodoc/sources/Gendarme.Rules.Security.Cas.zip
+lib/monodoc/sources/Gendarme.Rules.Security.source
+lib/monodoc/sources/Gendarme.Rules.Security.tree
+lib/monodoc/sources/Gendarme.Rules.Security.zip
+lib/monodoc/sources/Gendarme.Rules.Serialization.source
+lib/monodoc/sources/Gendarme.Rules.Serialization.tree
+lib/monodoc/sources/Gendarme.Rules.Serialization.zip
+lib/monodoc/sources/Gendarme.Rules.Smells.source
+lib/monodoc/sources/Gendarme.Rules.Smells.tree
+lib/monodoc/sources/Gendarme.Rules.Smells.zip
+lib/monodoc/sources/Gendarme.Rules.Ui.source
+lib/monodoc/sources/Gendarme.Rules.Ui.tree
+lib/monodoc/sources/Gendarme.Rules.Ui.zip
+lib/monodoc/sources/gendarme.source
+lib/monodoc/sources/gendarme.tree
+lib/monodoc/sources/gendarme.zip
+lib/mperfmon/config
+lib/mperfmon/mperfmon.exe
 libdata/pkgconfig/create-native-map.pc
 libdata/pkgconfig/gendarme-framework.pc
+man/man1/mperfmon.1
+share/applications/gendarme-wizard.desktop
+share/applications/gsharp.desktop
 share/applications/ilcontrast.desktop
 share/applications/monodoc.desktop
 share/applications/mprof-heap-viewer.desktop
+share/pixmaps/gendarme.svg
 share/pixmaps/ilcontrast.png
 share/pixmaps/monodoc.png
-@dirrmtry lib/monodoc
+@dirrm lib/mperfmon
 @dirrm lib/mono-tools
-@dirrmtry lib/ilcontrast
+@dirrm lib/ilcontrast
 @dirrm lib/gui-compare
+@dirrm lib/gsharp
 @dirrm lib/gendarme
 @dirrm lib/create-native-map
--- mono-tools.diff ends here ---

diff -ruN /var/cache/portshaker/freebsd/lang/mono/Makefile /tmp/mono/Makefile
--- /var/cache/portshaker/freebsd/lang/mono/Makefile	2009-02-09 09:59:57.000000000 +0100
+++ /tmp/mono/Makefile	2009-06-03 18:12:46.553382000 +0200
@@ -7,10 +7,9 @@
 #
 
 PORTNAME=	mono
-PORTVERSION=	2.0.1
-PORTREVISION=	6
+PORTVERSION=	2.4
 CATEGORIES=	lang
-MASTER_SITES=	ftp://ftp.novell.com/pub/mono/sources/${PORTNAME}/
+MASTER_SITES=	http://ftp.novell.com/pub/mono/sources/${PORTNAME}/
 
 MAINTAINER=	mono@FreeBSD.org
 COMMENT=	An open source implementation of .NET Development Framework
@@ -49,10 +48,10 @@
 MAN1=		al.1 cert2spc.1 certmgr.1 chktrust.1 cilc.1 disco.1 dtd2xsd.1 \
 		gacutil.1 genxs.1 httpcfg.1 ilasm.1 jay.1 macpack.1 makecert.1 \
 		mconfig.1 mcs.1 mint.1 mkbundle.1 mono-service.1 mono-shlib-cop.1 \
-		mono-xmltool.1 mono.1 monoburg.1 monodis.1 monolinker.1 monop.1 \
+		mono-xmltool.1 mono.1 monodis.1 monolinker.1 monop.1 \
 		monostyle.1 mozroots.1 oldmono.1 permview.1 prj2make.1 secutil.1 \
-		setreg.1 sgen.1 signcode.1 sn.1 soapsuds.1 sqlsharp.1 vbnc.1 \
-		wsdl.1 xsd.1 resgen.1
+		setreg.1 sgen.1 signcode.1 sn.1 soapsuds.1 sqlsharp.1 wsdl.1 \
+		xsd.1 resgen.1
 MAN5=		mono-config.5
 
 .include <bsd.port.pre.mk>
diff -ruN /var/cache/portshaker/freebsd/lang/mono/distinfo /tmp/mono/distinfo
--- /var/cache/portshaker/freebsd/lang/mono/distinfo	2009-02-09 09:59:57.000000000 +0100
+++ /tmp/mono/distinfo	2009-03-26 19:46:39.422373000 +0100
@@ -1,3 +1,3 @@
-MD5 (mono-2.0.1.tar.bz2) = 60ab4d1d1990826578891e90cd560fa0
-SHA256 (mono-2.0.1.tar.bz2) = 7089e8591ce793940d8a30f3ff5414437c32fc346fa918ec7f186516dab3e212
-SIZE (mono-2.0.1.tar.bz2) = 19385815
+MD5 (mono-2.4.tar.bz2) = da2bf1c0aba2958d26c5e8a9a49fd9d1
+SHA256 (mono-2.4.tar.bz2) = 653544a91374102bf473458a09f1e779955083b6d86682f171ab58a8446511c7
+SIZE (mono-2.4.tar.bz2) = 24861051
diff -ruN /var/cache/portshaker/freebsd/lang/mono/files/patch-configure /tmp/mono/files/patch-configure
--- /var/cache/portshaker/freebsd/lang/mono/files/patch-configure	2009-02-09 09:59:57.000000000 +0100
+++ /tmp/mono/files/patch-configure	2009-01-18 13:32:03.262428000 +0100
@@ -1,21 +1,19 @@
---- configure.orig	2008-12-09 19:49:56.000000000 -0300
-+++ configure	2008-12-09 19:50:22.000000000 -0300
-@@ -3003,7 +3003,8 @@
+
+$FreeBSD$
+
+--- configure.orig
++++ configure
+@@ -2958,7 +2958,8 @@
  			LDFLAGS="$LDFLAGS $PTHREAD_LIBS"
  			libmono_ldflags="$PTHREAD_LIBS"
  		fi
--		CPPFLAGS="$CPPFLAGS -DPLATFORM_BSD -DPLATFORM_BSD6"
-+		CPPFLAGS="$CPPFLAGS -DPLATFORM_BSD -DPLATFORM_BSD6 -D_GNU_SOURCE -D_REENTRANT -DUSE_MMAP -DUSE_MUNMAP"
-+		libmono_cflags="$libmono_cflags -D_REENTRANT"
+-		CPPFLAGS="$CPPFLAGS -DPLATFORM_BSD"
++ 		CPPFLAGS="$CPPFLAGS -DPLATFORM_BSD -DPLATFORM_BSD6 -D_GNU_SOURCE -D_REENTRANT -DUSE_MMAP -DUSE_MUNMAP"
++ 		libmono_cflags="$libmono_cflags -D_REENTRANT"
  		need_link_unlink=yes
- 		cat >>confdefs.h <<\_ACEOF
- #define PTHREAD_POINTER_ID 1
-@@ -3011,11 +3012,11 @@
  
- 		libdl=
- 		libgc_threads=pthreads
--		with_sigaltstack=yes
-+#		with_sigaltstack=yes
+ cat >>confdefs.h <<\_ACEOF
+@@ -2972,7 +2973,7 @@
  # TLS is only partially implemented on -CURRENT (compiler support
  # but NOT library support)
  #
@@ -24,7 +22,7 @@
  		;;
  	*-*-*openbsd*)
  		platform_win32=no
-@@ -38211,8 +38212,8 @@
+@@ -39146,8 +39147,8 @@
  INTERP_SUPPORTED=no
  LIBC="libc.so.6"
  INTL="libc.so.6"
diff -ruN /var/cache/portshaker/freebsd/lang/mono/files/patch-libgc_configure /tmp/mono/files/patch-libgc_configure
--- /var/cache/portshaker/freebsd/lang/mono/files/patch-libgc_configure	2009-02-09 09:59:57.000000000 +0100
+++ /tmp/mono/files/patch-libgc_configure	2008-12-22 00:44:57.492065000 +0100
@@ -1,18 +1,21 @@
---- libgc/configure.orig	2008-10-22 14:20:06.000000000 -0300
-+++ libgc/configure	2008-12-10 10:40:48.000000000 -0300
-@@ -4669,7 +4669,14 @@
- 	 cat >>confdefs.h <<\_ACEOF
+
+$FreeBSD$
+
+--- libgc/configure.orig
++++ libgc/configure
+@@ -4641,7 +4641,14 @@
+ 	cat >>confdefs.h <<\_ACEOF
  #define GC_FREEBSD_THREADS 1
  _ACEOF
 -
-+        if test "${enable_parallel_mark}" = yes; then
-+          cat >>confdefs.h <<\_ACEOF
++	if test "${enable_parallel_mark}" = yes; then
++		cat >>confdefs.h <<\_ACEOF
 +#define PARALLEL_MARK 1
 +_ACEOF
-+        fi
-+        cat >>confdefs.h <<\_ACEOF
++	fi
++	cat >>confdefs.h <<\_ACEOF
 +#define THREAD_LOCAL_ALLOC 1 //only for tls=__thread. delete for pthread.
 +_ACEOF
- 	 if test "x$PTHREAD_CFLAGS" != "x"; then
+ 	if test "x$PTHREAD_CFLAGS" != "x"; then
  		INCLUDES="$INCLUDES $PTHREAD_CFLAGS"
  	fi
diff -ruN /var/cache/portshaker/freebsd/lang/mono/files/patch-mcs_tools_security_certmgr.cs /tmp/mono/files/patch-mcs_tools_security_certmgr.cs
--- /var/cache/portshaker/freebsd/lang/mono/files/patch-mcs_tools_security_certmgr.cs	1970-01-01 01:00:00.000000000 +0100
+++ /tmp/mono/files/patch-mcs_tools_security_certmgr.cs	2009-01-09 09:12:59.964982000 +0100
@@ -0,0 +1,19 @@
+
+$FreeBSD$
+
+--- mcs/tools/security/certmgr.cs.orig
++++ mcs/tools/security/certmgr.cs
+@@ -492,8 +492,11 @@
+ 			ObjectType type = ObjectType.None;
+ 
+ 			int n = 1;
+-			if (action != Action.Ssl)
+-				type = GetObjectType (args [n++]);
++			if (action != Action.Ssl) {
++				type = GetObjectType (args [n]);
++				if (type != ObjectType.None)
++					n++;
++			}
+ 			
+ 			bool verbose = (GetCommand (args [n]) == "V");
+ 			if (verbose)
diff -ruN /var/cache/portshaker/freebsd/lang/mono/files/patch-mono_metadata_class.c /tmp/mono/files/patch-mono_metadata_class.c
--- /var/cache/portshaker/freebsd/lang/mono/files/patch-mono_metadata_class.c	2009-02-09 09:59:57.000000000 +0100
+++ /tmp/mono/files/patch-mono_metadata_class.c	2009-03-13 11:46:21.389393000 +0100
@@ -1,14 +1,17 @@
---- mono/metadata/class.c.orig	2008-11-01 01:58:37.000000000 -0300
-+++ mono/metadata/class.c	2008-11-01 02:01:35.000000000 -0300
-@@ -7449,7 +7449,10 @@
+
+$FreeBSD$
+
+--- mono/metadata/class.c.orig
++++ mono/metadata/class.c
+@@ -7648,7 +7648,10 @@
  gboolean
  mono_class_generic_sharing_enabled (MonoClass *class)
  {
--#if defined(__i386__) || defined(__x86_64__)
+-#if defined(__i386__) || defined(__x86_64__) || defined(__arm__) || defined(__mono_ppc__)
 +#if defined(__FreeBSD__) && defined(__x86_64__)
-+/* https://bugzilla.novell.com/show_bug.cgi?id=434457 */
++	/* https://bugzilla.novell.com/show_bug.cgi?id=434457 */
 +	static gboolean supported = FALSE;
-+#elif defined(__i386__) || defined(__x86_64__)
++#elif defined(__i386__) || defined(__x86_64__) || defined(__arm__) || defined(__mono_ppc__)
  	static gboolean supported = TRUE;
  #else
  	/* Not supported by the JIT backends */
diff -ruN /var/cache/portshaker/freebsd/lang/mono/files/patch-mono_metadata_marshal.c /tmp/mono/files/patch-mono_metadata_marshal.c
--- /var/cache/portshaker/freebsd/lang/mono/files/patch-mono_metadata_marshal.c	2009-02-09 09:59:57.000000000 +0100
+++ /tmp/mono/files/patch-mono_metadata_marshal.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,29 +0,0 @@
---- mono/metadata/marshal.c.orig	2008-12-19 17:11:03.000000000 -0300
-+++ mono/metadata/marshal.c	2009-01-04 12:43:13.000000000 -0300
-@@ -1022,8 +1022,7 @@
- mono_string_builder_to_utf8 (MonoStringBuilder *sb)
- {
- 	GError *error = NULL;
--	glong *res;
--	gchar *tmp;
-+	gchar *tmp, *res = NULL;
- 
- 	if (!sb)
- 		return NULL;
-@@ -1037,14 +1036,12 @@
- 		sb->cached_str = NULL;
- 	}
- 
--	res = mono_marshal_alloc (mono_stringbuilder_capacity (sb) + 1);
--
--	tmp = g_utf16_to_utf8 (mono_string_chars (sb->str), sb->length, NULL, res, &error);
-+	tmp = g_utf16_to_utf8 (mono_string_chars (sb->str), sb->length, NULL, NULL, &error);
- 	if (error) {
- 		g_error_free (error);
--		mono_marshal_free (res);
- 		mono_raise_exception (mono_get_exception_execution_engine ("Failed to convert StringBuilder from utf16 to utf8"));
- 	} else {
-+		res = mono_marshal_alloc (mono_stringbuilder_capacity (sb) + 1);
- 		memcpy (res, tmp, sb->length + 1);
- 		g_free (tmp);
- 	}
diff -ruN /var/cache/portshaker/freebsd/lang/mono/files/patch-mono_mini_mini-x86.c /tmp/mono/files/patch-mono_mini_mini-x86.c
--- /var/cache/portshaker/freebsd/lang/mono/files/patch-mono_mini_mini-x86.c	1970-01-01 01:00:00.000000000 +0100
+++ /tmp/mono/files/patch-mono_mini_mini-x86.c	2009-06-03 18:12:46.553382000 +0200
@@ -0,0 +1,76 @@
+
+$FreeBSD$
+
+--- mono/mini/mini-x86.c.orig
++++ mono/mini/mini-x86.c
+@@ -1068,26 +1068,15 @@
+ 	}
+ 
+ 	if (sig->ret && MONO_TYPE_ISSTRUCT (sig->ret)) {
+-		MonoInst *vtarg;
+-
+ 		if (cinfo->ret.storage == ArgValuetypeInReg) {
+-			if (cinfo->ret.pair_storage [0] == ArgInIReg && cinfo->ret.pair_storage [1] == ArgNone) {
+ 				/*
+ 				 * Tell the JIT to use a more efficient calling convention: call using
+ 				 * OP_CALL, compute the result location after the call, and save the 
+ 				 * result there.
+ 				 */
+ 				call->vret_in_reg = TRUE;
+-			} else {
+-				/*
+-				 * The valuetype is in EAX:EDX after the call, needs to be copied to
+-				 * the stack. Save the address here, so the call instruction can
+-				 * access it.
+-				 */
+-				MONO_INST_NEW (cfg, vtarg, OP_X86_PUSH);
+-				vtarg->sreg1 = call->vret_var->dreg;
+-				MONO_ADD_INS (cfg->cbb, vtarg);
+-			}
++				if (call->vret_var)
++					NULLIFY_INS (call->vret_var);
+ 		}
+ 	}
+ 
+@@ -1802,9 +1791,6 @@
+ static guint8*
+ emit_move_return_value (MonoCompile *cfg, MonoInst *ins, guint8 *code)
+ {
+-	CallInfo *cinfo;
+-	int quad;
+-
+ 	/* Move return value to the target register */
+ 	switch (ins->opcode) {
+ 	case OP_CALL:
+@@ -1813,31 +1799,6 @@
+ 		if (ins->dreg != X86_EAX)
+ 			x86_mov_reg_reg (code, ins->dreg, X86_EAX, 4);
+ 		break;
+-	case OP_VCALL:
+-	case OP_VCALL_REG:
+-	case OP_VCALL_MEMBASE:
+-	case OP_VCALL2:
+-	case OP_VCALL2_REG:
+-	case OP_VCALL2_MEMBASE:
+-		cinfo = get_call_info (cfg->generic_sharing_context, cfg->mempool, ((MonoCallInst*)ins)->signature, FALSE);
+-		if (cinfo->ret.storage == ArgValuetypeInReg) {
+-			/* Pop the destination address from the stack */
+-			x86_pop_reg (code, X86_ECX);
+-			
+-			for (quad = 0; quad < 2; quad ++) {
+-				switch (cinfo->ret.pair_storage [quad]) {
+-				case ArgInIReg:
+-					g_assert (cinfo->ret.pair_regs [quad] != X86_ECX);
+-					x86_mov_membase_reg (code, X86_ECX, (quad * sizeof (gpointer)), cinfo->ret.pair_regs [quad], sizeof (gpointer));
+-					break;
+-				case ArgNone:
+-					break;
+-				default:
+-					g_assert_not_reached ();
+-				}
+-			}
+-		}
+-		break;
+ 	case OP_FCALL: {
+ 		MonoCallInst *call = (MonoCallInst*)ins;
+ 		if (call->method && !mono_method_signature (call->method)->ret->byref && mono_method_signature (call->method)->ret->type == MONO_TYPE_R4) {
diff -ruN /var/cache/portshaker/freebsd/lang/mono/files/patch-mono_mini_mini.c /tmp/mono/files/patch-mono_mini_mini.c
--- /var/cache/portshaker/freebsd/lang/mono/files/patch-mono_mini_mini.c	2009-02-09 09:59:57.000000000 +0100
+++ /tmp/mono/files/patch-mono_mini_mini.c	1970-01-01 01:00:00.000000000 +0100
@@ -1,14 +0,0 @@
---- ./mono/mini/mini.c.orig	2008-10-20 13:53:02.000000000 -0300
-+++ ./mono/mini/mini.c	2008-12-09 15:04:17.000000000 -0300
-@@ -78,6 +78,11 @@
- 
- #include "debug-mini.h"
- 
-+// https://bugzilla.novell.com/show_bug.cgi?id=448131
-+#if defined(__FreeBSD__)
-+#undef MONO_ARCH_SIGSEGV_ON_ALTSTACK
-+#endif
-+
- #define BRANCH_COST 100
- #define INLINE_LENGTH_LIMIT 20
- #define INLINE_FAILURE do {\
diff -ruN /var/cache/portshaker/freebsd/lang/mono/files/patch-mono_tests_libtest.c /tmp/mono/files/patch-mono_tests_libtest.c
--- /var/cache/portshaker/freebsd/lang/mono/files/patch-mono_tests_libtest.c	2009-02-09 09:59:57.000000000 +0100
+++ /tmp/mono/files/patch-mono_tests_libtest.c	2008-12-22 00:44:57.492065000 +0100
@@ -1,14 +1,14 @@
 
-$FreeBSD: ports/lang/mono/files/patch-mono_tests_libtest.c,v 1.1 2009/02/09 08:59:57 flz Exp $
+$FreeBSD$
 
 --- mono/tests/libtest.c.orig
 +++ mono/tests/libtest.c
-@@ -2943,7 +2943,7 @@
+@@ -2978,7 +2978,7 @@
   * mono_method_get_unmanaged_thunk tests
   */
  
--#if defined(__GNUC__) && defined(__i386__) && (defined(__linux__) || defined (__APPLE__))
-+#if defined(__GNUC__) && defined(__i386__) && (defined(__linux__) || defined (__APPLE__) || defined (__FreeBSD__))
+-#if defined(__GNUC__) && ((defined(__i386__) && (defined(__linux__) || defined (__APPLE__))) || (defined(__ppc__) && defined(__APPLE__)))
++#if defined(__GNUC__) && ((defined(__i386__) && (defined(__linux__) || defined (__APPLE__)) || defined (__FreeBSD__)) || (defined(__ppc__) && defined(__APPLE__)))
  #define ALIGN(size) __attribute__ ((aligned(size)))
  #else
  #define ALIGN(size)
diff -ruN /var/cache/portshaker/freebsd/lang/mono/files/patch-mono_utils_mono-proclib.c /tmp/mono/files/patch-mono_utils_mono-proclib.c
--- /var/cache/portshaker/freebsd/lang/mono/files/patch-mono_utils_mono-proclib.c	1970-01-01 01:00:00.000000000 +0100
+++ /tmp/mono/files/patch-mono_utils_mono-proclib.c	2009-03-08 17:29:45.986703000 +0100
@@ -0,0 +1,12 @@
+--- mono/utils/mono-proclib.c.orig	2009-03-08 16:22:48.000000000 +0000
++++ mono/utils/mono-proclib.c	2009-03-08 16:23:02.000000000 +0000
+@@ -13,6 +13,9 @@
+ #endif
+ 
+ /* FIXME: bsds untested */
++#if defined(__FreeBSD__)
++#include <sys/param.h>
++#endif
+ #if defined(__APPLE__) || defined(__FreeBSD__) || defined(__OpenBSD__) || defined(__NetBSD__)
+ #include <sys/types.h>
+ #include <sys/sysctl.h>
diff -ruN /var/cache/portshaker/freebsd/lang/mono/pkg-plist /tmp/mono/pkg-plist
--- /var/cache/portshaker/freebsd/lang/mono/pkg-plist	2009-02-09 09:59:57.000000000 +0100
+++ /tmp/mono/pkg-plist	2009-04-15 17:33:51.527176000 +0200
@@ -1,3 +1,4 @@
+@comment $FreeBSD$
 bin/al
 bin/al1
 bin/al2
@@ -6,14 +7,15 @@
 bin/certmgr
 bin/chktrust
 bin/cilc
+bin/csharp
 bin/disco
 bin/dtd2rng
 bin/dtd2xsd
 bin/gacutil
+bin/gacutil1
 bin/gacutil2
 bin/genxs
 bin/genxs1
-bin/genxs2
 bin/gmcs
 bin/httpcfg
 bin/ilasm
@@ -26,15 +28,22 @@
 bin/mconfig
 bin/mcs
 bin/mcs1
+bin/mdassembler
+bin/mdoc
+bin/mdoc-assemble
+bin/mdoc-export-html
+bin/mdoc-export-msxdoc
+bin/mdoc-update
+bin/mdoc-validate
+bin/mdvalidater
 bin/mjs
 bin/mkbundle
 bin/mkbundle1
 bin/mkbundle2
+bin/mod
 bin/mono
-bin/mono-api-diff
 bin/mono-api-info
-bin/mono-api-info1
-bin/mono-api-info2
+bin/mono-cil-strip
 bin/mono-find-provides
 bin/mono-find-requires
 bin/mono-service
@@ -43,6 +52,9 @@
 bin/mono-test-install
 bin/mono-xmltool
 bin/monodis
+bin/monodocer
+bin/monodocs2html
+bin/monodocs2slashdoc
 bin/monograph
 bin/monolinker
 bin/monop
@@ -169,10 +181,11 @@
 lib/libmono.la
 lib/libmono.so
 lib/libmono.so.0
+lib/mono-source-libs/Options.cs
+lib/mono-source-libs/getline.cs
 lib/mono/1.0/Accessibility.dll
 lib/mono/1.0/ByteFX.Data.dll
 lib/mono/1.0/Commons.Xml.Relaxng.dll
-lib/mono/1.0/CorCompare.exe
 lib/mono/1.0/CustomMarshalers.dll
 lib/mono/1.0/FirebirdSql.Data.Firebird.dll
 lib/mono/1.0/I18N.CJK.dll
@@ -196,6 +209,8 @@
 lib/mono/1.0/Mono.Data.dll
 lib/mono/1.0/Mono.GetOptions.dll
 lib/mono/1.0/Mono.Http.dll
+lib/mono/1.0/Mono.Messaging.RabbitMQ.dll
+lib/mono/1.0/Mono.Messaging.dll
 lib/mono/1.0/Mono.Posix.dll
 lib/mono/1.0/Mono.Security.Win32.dll
 lib/mono/1.0/Mono.Security.dll
@@ -204,6 +219,7 @@
 lib/mono/1.0/Npgsql.dll
 lib/mono/1.0/OpenSystem.C.dll
 lib/mono/1.0/PEAPI.dll
+lib/mono/1.0/RabbitMQ.Client.dll
 lib/mono/1.0/System.Configuration.Install.dll
 lib/mono/1.0/System.Data.OracleClient.dll
 lib/mono/1.0/System.Data.dll
@@ -269,13 +285,12 @@
 lib/mono/1.0/mjs.exe.mdb
 lib/mono/1.0/mkbundle.exe
 lib/mono/1.0/mkbundle.exe.mdb
-lib/mono/1.0/mono-api-diff.exe
-lib/mono/1.0/mono-api-info.exe
+lib/mono/1.0/mod.exe
+lib/mono/1.0/mod.exe.mdb
+lib/mono/1.0/mono-cil-strip.exe
+lib/mono/1.0/mono-cil-strip.exe.mdb
 lib/mono/1.0/mono-service.exe
 lib/mono/1.0/mono-service.exe.mdb
-lib/mono/1.0/mono-shlib-cop.exe
-lib/mono/1.0/mono-shlib-cop.exe.config
-lib/mono/1.0/mono-shlib-cop.exe.mdb
 lib/mono/1.0/mono-xmltool.exe
 lib/mono/1.0/mono-xmltool.exe.mdb
 lib/mono/1.0/monolinker.exe
@@ -286,11 +301,15 @@
 lib/mono/1.0/mozroots.exe.mdb
 lib/mono/1.0/mscorlib.dll
 lib/mono/1.0/mscorlib.dll.mdb
+lib/mono/1.0/nunit-console-runner.dll
 lib/mono/1.0/nunit-console.exe
 lib/mono/1.0/nunit-console.exe.config
 lib/mono/1.0/nunit-console.exe.mdb
 lib/mono/1.0/nunit.core.dll
+lib/mono/1.0/nunit.core.extensions.dll
+lib/mono/1.0/nunit.core.interfaces.dll
 lib/mono/1.0/nunit.framework.dll
+lib/mono/1.0/nunit.framework.extensions.dll
 lib/mono/1.0/nunit.mocks.dll
 lib/mono/1.0/nunit.util.dll
 lib/mono/1.0/permview.exe
@@ -309,9 +328,6 @@
 lib/mono/1.0/sn.exe.mdb
 lib/mono/1.0/soapsuds.exe
 lib/mono/1.0/soapsuds.exe.mdb
-lib/mono/1.0/sqlsharp.exe
-lib/mono/1.0/sqlsharp.exe.mdb
-lib/mono/1.0/transform.exe
 lib/mono/1.0/wsdl.exe
 lib/mono/1.0/wsdl.exe.mdb
 lib/mono/1.0/xsd.exe
@@ -343,6 +359,7 @@
 lib/mono/2.0/Microsoft.VisualC.dll
 lib/mono/2.0/Microsoft.Vsa.dll
 lib/mono/2.0/Mono.C5.dll
+lib/mono/2.0/Mono.CSharp.dll
 lib/mono/2.0/Mono.Cairo.dll
 lib/mono/2.0/Mono.CompilerServices.SymbolWriter.dll
 lib/mono/2.0/Mono.Data.Sqlite.dll
@@ -353,15 +370,21 @@
 lib/mono/2.0/Mono.Data.dll
 lib/mono/2.0/Mono.GetOptions.dll
 lib/mono/2.0/Mono.Http.dll
+lib/mono/2.0/Mono.Management.dll
+lib/mono/2.0/Mono.Messaging.RabbitMQ.dll
+lib/mono/2.0/Mono.Messaging.dll
 lib/mono/2.0/Mono.Posix.dll
 lib/mono/2.0/Mono.Security.Win32.dll
 lib/mono/2.0/Mono.Security.dll
+lib/mono/2.0/Mono.Simd.dll
 lib/mono/2.0/Mono.Web.dll
 lib/mono/2.0/Mono.WebBrowser.dll
 lib/mono/2.0/Novell.Directory.Ldap.dll
 lib/mono/2.0/Npgsql.dll
 lib/mono/2.0/OpenSystem.C.dll
 lib/mono/2.0/PEAPI.dll
+lib/mono/2.0/RabbitMQ.Client.dll
+lib/mono/2.0/System.ComponentModel.DataAnnotations.dll
 lib/mono/2.0/System.Configuration.Install.dll
 lib/mono/2.0/System.Configuration.dll
 lib/mono/2.0/System.Core.dll
@@ -374,15 +397,23 @@
 lib/mono/2.0/System.Drawing.Design.dll
 lib/mono/2.0/System.Drawing.dll
 lib/mono/2.0/System.EnterpriseServices.dll
+lib/mono/2.0/System.IdentityModel.Selectors.dll
+lib/mono/2.0/System.IdentityModel.dll
 lib/mono/2.0/System.Management.dll
 lib/mono/2.0/System.Messaging.dll
 lib/mono/2.0/System.Runtime.Remoting.dll
 lib/mono/2.0/System.Runtime.Serialization.Formatters.Soap.dll
+lib/mono/2.0/System.Runtime.Serialization.dll
 lib/mono/2.0/System.Security.dll
+lib/mono/2.0/System.ServiceModel.Web.dll
+lib/mono/2.0/System.ServiceModel.dll
 lib/mono/2.0/System.ServiceProcess.dll
 lib/mono/2.0/System.Transactions.dll
+lib/mono/2.0/System.Web.Abstractions.dll
+lib/mono/2.0/System.Web.DynamicData.dll
 lib/mono/2.0/System.Web.Extensions.Design.dll
 lib/mono/2.0/System.Web.Extensions.dll
+lib/mono/2.0/System.Web.Routing.dll
 lib/mono/2.0/System.Web.Services.dll
 lib/mono/2.0/System.Web.dll
 lib/mono/2.0/System.Windows.Forms.dll
@@ -392,6 +423,8 @@
 lib/mono/2.0/al.exe
 lib/mono/2.0/al.exe.mdb
 lib/mono/2.0/cscompmgd.dll
+lib/mono/2.0/csharp.exe
+lib/mono/2.0/csharp.exe.mdb
 lib/mono/2.0/gacutil.exe
 lib/mono/2.0/gacutil.exe.mdb
 lib/mono/2.0/gmcs.exe
@@ -405,26 +438,37 @@
 lib/mono/2.0/installutil.exe.mdb
 lib/mono/2.0/mconfig.exe
 lib/mono/2.0/mconfig.exe.mdb
+lib/mono/2.0/mdoc.exe
+lib/mono/2.0/mdoc.exe.mdb
 lib/mono/2.0/mkbundle.exe
 lib/mono/2.0/mkbundle.exe.mdb
 lib/mono/2.0/mono-api-info.exe
 lib/mono/2.0/mono-service.exe
 lib/mono/2.0/mono-service.exe.mdb
+lib/mono/2.0/mono-shlib-cop.exe
+lib/mono/2.0/mono-shlib-cop.exe.config
+lib/mono/2.0/mono-shlib-cop.exe.mdb
 lib/mono/2.0/monop.exe
 lib/mono/2.0/monop.exe.mdb
 lib/mono/2.0/mscorlib.dll
 lib/mono/2.0/mscorlib.dll.mdb
+lib/mono/2.0/nunit-console-runner.dll
 lib/mono/2.0/nunit-console.exe
 lib/mono/2.0/nunit-console.exe.config
 lib/mono/2.0/nunit-console.exe.mdb
 lib/mono/2.0/nunit.core.dll
+lib/mono/2.0/nunit.core.extensions.dll
+lib/mono/2.0/nunit.core.interfaces.dll
 lib/mono/2.0/nunit.framework.dll
+lib/mono/2.0/nunit.framework.extensions.dll
 lib/mono/2.0/nunit.mocks.dll
 lib/mono/2.0/nunit.util.dll
 lib/mono/2.0/resgen.exe
 lib/mono/2.0/resgen.exe.mdb
 lib/mono/2.0/sgen.exe
 lib/mono/2.0/sgen.exe.mdb
+lib/mono/2.0/sqlsharp.exe
+lib/mono/2.0/sqlsharp.exe.mdb
 lib/mono/2.0/wsdl.exe
 lib/mono/2.0/wsdl.exe.mdb
 lib/mono/2.0/xbuild.exe
@@ -432,8 +476,13 @@
 lib/mono/2.0/xbuild.rsp
 lib/mono/2.0/xsd.exe
 lib/mono/2.0/xsd.exe.mdb
+lib/mono/2.1/Mono.CompilerServices.SymbolWriter.dll
 lib/mono/2.1/System.Core.dll
 lib/mono/2.1/System.Net.dll
+lib/mono/2.1/System.Runtime.Serialization.dll
+lib/mono/2.1/System.ServiceModel.Web.dll
+lib/mono/2.1/System.ServiceModel.dll
+lib/mono/2.1/System.Xml.Linq.dll
 lib/mono/2.1/System.Xml.dll
 lib/mono/2.1/System.dll
 lib/mono/2.1/mscorlib.dll
@@ -441,9 +490,10 @@
 lib/mono/2.1/smcs.exe
 lib/mono/2.1/smcs.exe.mdb
 lib/mono/3.5/System.Web.Extensions.Design.dll
-lib/mono/3.5/System.Web.Extensions.dll
 lib/mono/compat-1.0/ICSharpCode.SharpZipLib.dll
 lib/mono/compat-2.0/ICSharpCode.SharpZipLib.dll
+lib/mono/compat-2.0/System.Web.Extensions.Design.dll
+lib/mono/compat-2.0/System.Web.Extensions.dll
 lib/mono/gac/Accessibility/1.0.5000.0__b03f5f7f11d50a3a/Accessibility.dll
 lib/mono/gac/Accessibility/1.0.5000.0__b03f5f7f11d50a3a/Accessibility.dll.mdb
 lib/mono/gac/Accessibility/2.0.0.0__b03f5f7f11d50a3a/Accessibility.dll
@@ -518,18 +568,21 @@
 lib/mono/gac/Microsoft.Vsa/8.0.0.0__b03f5f7f11d50a3a/Microsoft.Vsa.dll.mdb
 lib/mono/gac/Mono.C5/1.0.0.0__ba07f434b1c35cbd/Mono.C5.dll
 lib/mono/gac/Mono.C5/1.0.0.0__ba07f434b1c35cbd/Mono.C5.dll.mdb
+lib/mono/gac/Mono.CSharp/2.1.0.0__0738eb9f132ed756/Mono.CSharp.dll
 lib/mono/gac/Mono.Cairo/1.0.5000.0__0738eb9f132ed756/Mono.Cairo.dll
 lib/mono/gac/Mono.Cairo/1.0.5000.0__0738eb9f132ed756/Mono.Cairo.dll.mdb
 lib/mono/gac/Mono.Cairo/2.0.0.0__0738eb9f132ed756/Mono.Cairo.dll
 lib/mono/gac/Mono.Cairo/2.0.0.0__0738eb9f132ed756/Mono.Cairo.dll.mdb
 lib/mono/gac/Mono.Cecil.Mdb/0.2.0.0__0738eb9f132ed756/Mono.Cecil.Mdb.dll
 lib/mono/gac/Mono.Cecil.Mdb/0.2.0.0__0738eb9f132ed756/Mono.Cecil.Mdb.dll.mdb
-lib/mono/gac/Mono.Cecil/0.6.8.8607__0738eb9f132ed756/Mono.Cecil.dll
-lib/mono/gac/Mono.Cecil/0.6.8.8607__0738eb9f132ed756/Mono.Cecil.dll.mdb
+lib/mono/gac/Mono.Cecil/0.6.9.0__0738eb9f132ed756/Mono.Cecil.dll
+lib/mono/gac/Mono.Cecil/0.6.9.0__0738eb9f132ed756/Mono.Cecil.dll.mdb
 lib/mono/gac/Mono.CompilerServices.SymbolWriter/1.0.5000.0__0738eb9f132ed756/Mono.CompilerServices.SymbolWriter.dll
 lib/mono/gac/Mono.CompilerServices.SymbolWriter/1.0.5000.0__0738eb9f132ed756/Mono.CompilerServices.SymbolWriter.dll.mdb
 lib/mono/gac/Mono.CompilerServices.SymbolWriter/2.0.0.0__0738eb9f132ed756/Mono.CompilerServices.SymbolWriter.dll
 lib/mono/gac/Mono.CompilerServices.SymbolWriter/2.0.0.0__0738eb9f132ed756/Mono.CompilerServices.SymbolWriter.dll.mdb
+lib/mono/gac/Mono.CompilerServices.SymbolWriter/2.0.5.0__0738eb9f132ed756/Mono.CompilerServices.SymbolWriter.dll
+lib/mono/gac/Mono.CompilerServices.SymbolWriter/2.0.5.0__0738eb9f132ed756/Mono.CompilerServices.SymbolWriter.dll.mdb
 lib/mono/gac/Mono.Data.Sqlite/1.0.5000.0__0738eb9f132ed756/Mono.Data.Sqlite.dll
 lib/mono/gac/Mono.Data.Sqlite/1.0.5000.0__0738eb9f132ed756/Mono.Data.Sqlite.dll.mdb
 lib/mono/gac/Mono.Data.Sqlite/2.0.0.0__0738eb9f132ed756/Mono.Data.Sqlite.dll
@@ -562,6 +615,16 @@
 lib/mono/gac/Mono.Http/1.0.5000.0__0738eb9f132ed756/Mono.Http.dll.mdb
 lib/mono/gac/Mono.Http/2.0.0.0__0738eb9f132ed756/Mono.Http.dll
 lib/mono/gac/Mono.Http/2.0.0.0__0738eb9f132ed756/Mono.Http.dll.mdb
+lib/mono/gac/Mono.Management/2.0.0.0__0738eb9f132ed756/Mono.Management.dll
+lib/mono/gac/Mono.Management/2.0.0.0__0738eb9f132ed756/Mono.Management.dll.mdb
+lib/mono/gac/Mono.Messaging.RabbitMQ/1.0.5000.0__b03f5f7f11d50a3a/Mono.Messaging.RabbitMQ.dll
+lib/mono/gac/Mono.Messaging.RabbitMQ/1.0.5000.0__b03f5f7f11d50a3a/Mono.Messaging.RabbitMQ.dll.mdb
+lib/mono/gac/Mono.Messaging.RabbitMQ/2.0.0.0__b03f5f7f11d50a3a/Mono.Messaging.RabbitMQ.dll
+lib/mono/gac/Mono.Messaging.RabbitMQ/2.0.0.0__b03f5f7f11d50a3a/Mono.Messaging.RabbitMQ.dll.mdb
+lib/mono/gac/Mono.Messaging/1.0.5000.0__b03f5f7f11d50a3a/Mono.Messaging.dll
+lib/mono/gac/Mono.Messaging/1.0.5000.0__b03f5f7f11d50a3a/Mono.Messaging.dll.mdb
+lib/mono/gac/Mono.Messaging/2.0.0.0__b03f5f7f11d50a3a/Mono.Messaging.dll
+lib/mono/gac/Mono.Messaging/2.0.0.0__b03f5f7f11d50a3a/Mono.Messaging.dll.mdb
 lib/mono/gac/Mono.Posix/1.0.5000.0__0738eb9f132ed756/Mono.Posix.dll
 lib/mono/gac/Mono.Posix/1.0.5000.0__0738eb9f132ed756/Mono.Posix.dll.mdb
 lib/mono/gac/Mono.Posix/2.0.0.0__0738eb9f132ed756/Mono.Posix.dll
@@ -574,6 +637,8 @@
 lib/mono/gac/Mono.Security/1.0.5000.0__0738eb9f132ed756/Mono.Security.dll.mdb
 lib/mono/gac/Mono.Security/2.0.0.0__0738eb9f132ed756/Mono.Security.dll
 lib/mono/gac/Mono.Security/2.0.0.0__0738eb9f132ed756/Mono.Security.dll.mdb
+lib/mono/gac/Mono.Simd/2.0.0.0__0738eb9f132ed756/Mono.Simd.dll
+lib/mono/gac/Mono.Simd/2.0.0.0__0738eb9f132ed756/Mono.Simd.dll.mdb
 lib/mono/gac/Mono.Web/2.0.0.0__0738eb9f132ed756/Mono.Web.dll
 lib/mono/gac/Mono.Web/2.0.0.0__0738eb9f132ed756/Mono.Web.dll.mdb
 lib/mono/gac/Mono.WebBrowser/0.5.0.0__0738eb9f132ed756/Mono.WebBrowser.dll
@@ -594,6 +659,12 @@
 lib/mono/gac/PEAPI/1.0.5000.0__0738eb9f132ed756/PEAPI.dll.mdb
 lib/mono/gac/PEAPI/2.0.0.0__0738eb9f132ed756/PEAPI.dll
 lib/mono/gac/PEAPI/2.0.0.0__0738eb9f132ed756/PEAPI.dll.mdb
+lib/mono/gac/RabbitMQ.Client/1.0.5000.0__b03f5f7f11d50a3a/RabbitMQ.Client.dll
+lib/mono/gac/RabbitMQ.Client/1.0.5000.0__b03f5f7f11d50a3a/RabbitMQ.Client.dll.mdb
+lib/mono/gac/RabbitMQ.Client/2.0.0.0__b03f5f7f11d50a3a/RabbitMQ.Client.dll
+lib/mono/gac/RabbitMQ.Client/2.0.0.0__b03f5f7f11d50a3a/RabbitMQ.Client.dll.mdb
+lib/mono/gac/System.ComponentModel.DataAnnotations/3.5.0.0__31bf3856ad364e35/System.ComponentModel.DataAnnotations.dll
+lib/mono/gac/System.ComponentModel.DataAnnotations/3.5.0.0__31bf3856ad364e35/System.ComponentModel.DataAnnotations.dll.mdb
 lib/mono/gac/System.Configuration.Install/1.0.5000.0__b03f5f7f11d50a3a/System.Configuration.Install.dll
 lib/mono/gac/System.Configuration.Install/1.0.5000.0__b03f5f7f11d50a3a/System.Configuration.Install.dll.mdb
 lib/mono/gac/System.Configuration.Install/2.0.0.0__b03f5f7f11d50a3a/System.Configuration.Install.dll
@@ -636,6 +707,10 @@
 lib/mono/gac/System.EnterpriseServices/1.0.5000.0__b03f5f7f11d50a3a/System.EnterpriseServices.dll.mdb
 lib/mono/gac/System.EnterpriseServices/2.0.0.0__b03f5f7f11d50a3a/System.EnterpriseServices.dll
 lib/mono/gac/System.EnterpriseServices/2.0.0.0__b03f5f7f11d50a3a/System.EnterpriseServices.dll.mdb
+lib/mono/gac/System.IdentityModel.Selectors/3.0.0.0__b77a5c561934e089/System.IdentityModel.Selectors.dll
+lib/mono/gac/System.IdentityModel.Selectors/3.0.0.0__b77a5c561934e089/System.IdentityModel.Selectors.dll.mdb
+lib/mono/gac/System.IdentityModel/3.0.0.0__b77a5c561934e089/System.IdentityModel.dll
+lib/mono/gac/System.IdentityModel/3.0.0.0__b77a5c561934e089/System.IdentityModel.dll.mdb
 lib/mono/gac/System.Management/1.0.5000.0__b03f5f7f11d50a3a/System.Management.dll
 lib/mono/gac/System.Management/1.0.5000.0__b03f5f7f11d50a3a/System.Management.dll.mdb
 lib/mono/gac/System.Management/2.0.0.0__b03f5f7f11d50a3a/System.Management.dll
@@ -654,16 +729,32 @@
 lib/mono/gac/System.Runtime.Serialization.Formatters.Soap/1.0.5000.0__b03f5f7f11d50a3a/System.Runtime.Serialization.Formatters.Soap.dll.mdb
 lib/mono/gac/System.Runtime.Serialization.Formatters.Soap/2.0.0.0__b03f5f7f11d50a3a/System.Runtime.Serialization.Formatters.Soap.dll
 lib/mono/gac/System.Runtime.Serialization.Formatters.Soap/2.0.0.0__b03f5f7f11d50a3a/System.Runtime.Serialization.Formatters.Soap.dll.mdb
+lib/mono/gac/System.Runtime.Serialization/2.0.5.0__7cec85d7bea7798e/System.Runtime.Serialization.dll
+lib/mono/gac/System.Runtime.Serialization/2.0.5.0__7cec85d7bea7798e/System.Runtime.Serialization.dll.mdb
+lib/mono/gac/System.Runtime.Serialization/3.0.0.0__b77a5c561934e089/System.Runtime.Serialization.dll
+lib/mono/gac/System.Runtime.Serialization/3.0.0.0__b77a5c561934e089/System.Runtime.Serialization.dll.mdb
 lib/mono/gac/System.Security/1.0.5000.0__b03f5f7f11d50a3a/System.Security.dll
 lib/mono/gac/System.Security/1.0.5000.0__b03f5f7f11d50a3a/System.Security.dll.mdb
 lib/mono/gac/System.Security/2.0.0.0__b03f5f7f11d50a3a/System.Security.dll
 lib/mono/gac/System.Security/2.0.0.0__b03f5f7f11d50a3a/System.Security.dll.mdb
+lib/mono/gac/System.ServiceModel.Web/2.0.5.0__7cec85d7bea7798e/System.ServiceModel.Web.dll
+lib/mono/gac/System.ServiceModel.Web/2.0.5.0__7cec85d7bea7798e/System.ServiceModel.Web.dll.mdb
+lib/mono/gac/System.ServiceModel.Web/3.0.0.0__31bf3856ad364e35/System.ServiceModel.Web.dll
+lib/mono/gac/System.ServiceModel.Web/3.0.0.0__31bf3856ad364e35/System.ServiceModel.Web.dll.mdb
+lib/mono/gac/System.ServiceModel/2.0.5.0__31bf3856ad364e35/System.ServiceModel.dll
+lib/mono/gac/System.ServiceModel/2.0.5.0__31bf3856ad364e35/System.ServiceModel.dll.mdb
+lib/mono/gac/System.ServiceModel/3.0.0.0__b77a5c561934e089/System.ServiceModel.dll
+lib/mono/gac/System.ServiceModel/3.0.0.0__b77a5c561934e089/System.ServiceModel.dll.mdb
 lib/mono/gac/System.ServiceProcess/1.0.5000.0__b03f5f7f11d50a3a/System.ServiceProcess.dll
 lib/mono/gac/System.ServiceProcess/1.0.5000.0__b03f5f7f11d50a3a/System.ServiceProcess.dll.mdb
 lib/mono/gac/System.ServiceProcess/2.0.0.0__b03f5f7f11d50a3a/System.ServiceProcess.dll
 lib/mono/gac/System.ServiceProcess/2.0.0.0__b03f5f7f11d50a3a/System.ServiceProcess.dll.mdb
 lib/mono/gac/System.Transactions/2.0.0.0__b77a5c561934e089/System.Transactions.dll
 lib/mono/gac/System.Transactions/2.0.0.0__b77a5c561934e089/System.Transactions.dll.mdb
+lib/mono/gac/System.Web.Abstractions/3.5.0.0__31bf3856ad364e35/System.Web.Abstractions.dll
+lib/mono/gac/System.Web.Abstractions/3.5.0.0__31bf3856ad364e35/System.Web.Abstractions.dll.mdb
+lib/mono/gac/System.Web.DynamicData/3.5.0.0__31bf3856ad364e35/System.Web.DynamicData.dll
+lib/mono/gac/System.Web.DynamicData/3.5.0.0__31bf3856ad364e35/System.Web.DynamicData.dll.mdb
 lib/mono/gac/System.Web.Extensions.Design/1.0.61025.0__31bf3856ad364e35/System.Web.Extensions.Design.dll
 lib/mono/gac/System.Web.Extensions.Design/1.0.61025.0__31bf3856ad364e35/System.Web.Extensions.Design.dll.mdb
 lib/mono/gac/System.Web.Extensions.Design/3.5.0.0__31bf3856ad364e35/System.Web.Extensions.Design.dll
@@ -672,6 +763,8 @@
 lib/mono/gac/System.Web.Extensions/1.0.61025.0__31bf3856ad364e35/System.Web.Extensions.dll.mdb
 lib/mono/gac/System.Web.Extensions/3.5.0.0__31bf3856ad364e35/System.Web.Extensions.dll
 lib/mono/gac/System.Web.Extensions/3.5.0.0__31bf3856ad364e35/System.Web.Extensions.dll.mdb
+lib/mono/gac/System.Web.Routing/3.5.0.0__31bf3856ad364e35/System.Web.Routing.dll
+lib/mono/gac/System.Web.Routing/3.5.0.0__31bf3856ad364e35/System.Web.Routing.dll.mdb
 lib/mono/gac/System.Web.Services/1.0.5000.0__b03f5f7f11d50a3a/System.Web.Services.dll
 lib/mono/gac/System.Web.Services/1.0.5000.0__b03f5f7f11d50a3a/System.Web.Services.dll.mdb
 lib/mono/gac/System.Web.Services/2.0.0.0__b03f5f7f11d50a3a/System.Web.Services.dll
@@ -684,6 +777,8 @@
 lib/mono/gac/System.Windows.Forms/1.0.5000.0__b77a5c561934e089/System.Windows.Forms.dll.mdb
 lib/mono/gac/System.Windows.Forms/2.0.0.0__b77a5c561934e089/System.Windows.Forms.dll
 lib/mono/gac/System.Windows.Forms/2.0.0.0__b77a5c561934e089/System.Windows.Forms.dll.mdb
+lib/mono/gac/System.Xml.Linq/2.0.5.0__31bf3856ad364e35/System.Xml.Linq.dll
+lib/mono/gac/System.Xml.Linq/2.0.5.0__31bf3856ad364e35/System.Xml.Linq.dll.mdb
 lib/mono/gac/System.Xml.Linq/3.5.0.0__b77a5c561934e089/System.Xml.Linq.dll
 lib/mono/gac/System.Xml.Linq/3.5.0.0__b77a5c561934e089/System.Xml.Linq.dll.mdb
 lib/mono/gac/System.Xml/1.0.5000.0__b77a5c561934e089/System.Xml.dll
@@ -706,21 +801,77 @@
 lib/mono/gac/mono-service/1.0.5000.0__0738eb9f132ed756/mono-service.exe.mdb
 lib/mono/gac/mono-service/2.0.0.0__0738eb9f132ed756/mono-service.exe
 lib/mono/gac/mono-service/2.0.0.0__0738eb9f132ed756/mono-service.exe.mdb
-lib/mono/gac/nunit.core/2.2.0.0__96d09a1eb7f44a77/nunit.core.dll
-lib/mono/gac/nunit.core/2.2.0.0__96d09a1eb7f44a77/nunit.core.dll.mdb
-lib/mono/gac/nunit.framework/2.2.0.0__96d09a1eb7f44a77/nunit.framework.dll
-lib/mono/gac/nunit.framework/2.2.0.0__96d09a1eb7f44a77/nunit.framework.dll.mdb
-lib/mono/gac/nunit.mocks/2.2.8.0__96d09a1eb7f44a77/nunit.mocks.dll
-lib/mono/gac/nunit.mocks/2.2.8.0__96d09a1eb7f44a77/nunit.mocks.dll.mdb
-lib/mono/gac/nunit.util/2.2.0.0__96d09a1eb7f44a77/nunit.util.dll
-lib/mono/gac/nunit.util/2.2.0.0__96d09a1eb7f44a77/nunit.util.dll.mdb
+lib/mono/gac/monodoc/1.0.0.0__0738eb9f132ed756/monodoc.dll
+lib/mono/gac/monodoc/1.0.0.0__0738eb9f132ed756/monodoc.dll.config
+lib/mono/gac/monodoc/1.0.0.0__0738eb9f132ed756/monodoc.dll.mdb
+lib/mono/gac/nunit-console-runner/2.4.8.0__96d09a1eb7f44a77/nunit-console-runner.dll
+lib/mono/gac/nunit-console-runner/2.4.8.0__96d09a1eb7f44a77/nunit-console-runner.dll.mdb
+lib/mono/gac/nunit.core.extensions/2.4.8.0__96d09a1eb7f44a77/nunit.core.extensions.dll
+lib/mono/gac/nunit.core.extensions/2.4.8.0__96d09a1eb7f44a77/nunit.core.extensions.dll.mdb
+lib/mono/gac/nunit.core.interfaces/2.4.8.0__96d09a1eb7f44a77/nunit.core.interfaces.dll
+lib/mono/gac/nunit.core.interfaces/2.4.8.0__96d09a1eb7f44a77/nunit.core.interfaces.dll.mdb
+lib/mono/gac/nunit.core/2.4.8.0__96d09a1eb7f44a77/nunit.core.dll
+lib/mono/gac/nunit.core/2.4.8.0__96d09a1eb7f44a77/nunit.core.dll.mdb
+lib/mono/gac/nunit.framework.extensions/2.4.8.0__96d09a1eb7f44a77/nunit.framework.extensions.dll
+lib/mono/gac/nunit.framework.extensions/2.4.8.0__96d09a1eb7f44a77/nunit.framework.extensions.dll.mdb
+lib/mono/gac/nunit.framework/2.4.8.0__96d09a1eb7f44a77/nunit.framework.dll
+lib/mono/gac/nunit.framework/2.4.8.0__96d09a1eb7f44a77/nunit.framework.dll.mdb
+lib/mono/gac/nunit.mocks/2.4.8.0__96d09a1eb7f44a77/nunit.mocks.dll
+lib/mono/gac/nunit.mocks/2.4.8.0__96d09a1eb7f44a77/nunit.mocks.dll.mdb
+lib/mono/gac/nunit.util/2.4.8.0__96d09a1eb7f44a77/nunit.util.dll
+lib/mono/gac/nunit.util/2.4.8.0__96d09a1eb7f44a77/nunit.util.dll.mdb
+lib/mono/monodoc/monodoc.dll
+lib/monodoc/monodoc.xml
+lib/monodoc/sources/Mono.source
+lib/monodoc/sources/Mono.tree
+lib/monodoc/sources/Mono.zip
+lib/monodoc/sources/Novell.source
+lib/monodoc/sources/Novell.tree
+lib/monodoc/sources/Novell.zip
+lib/monodoc/sources/cs-errors.tree
+lib/monodoc/sources/cs-errors.zip
+lib/monodoc/sources/ecma334.tree
+lib/monodoc/sources/ecma334.zip
+lib/monodoc/sources/lang-csharp.source
+lib/monodoc/sources/mono-file-formats.source
+lib/monodoc/sources/mono-file-formats.tree
+lib/monodoc/sources/mono-file-formats.zip
+lib/monodoc/sources/mono-tools.source
+lib/monodoc/sources/mono-tools.tree
+lib/monodoc/sources/mono-tools.zip
+lib/monodoc/sources/monoapi.source
+lib/monodoc/sources/monoapi.tree
+lib/monodoc/sources/monoapi.zip
+lib/monodoc/sources/netdocs.source
+lib/monodoc/sources/netdocs.tree
+lib/monodoc/sources/netdocs.zip
 libdata/pkgconfig/cecil.pc
 libdata/pkgconfig/dotnet.pc
 libdata/pkgconfig/dotnet35.pc
 libdata/pkgconfig/mono-cairo.pc
+libdata/pkgconfig/mono-lineeditor.pc
 libdata/pkgconfig/mono-nunit.pc
+libdata/pkgconfig/mono-options.pc
 libdata/pkgconfig/mono.pc
+libdata/pkgconfig/mono.web.pc
+libdata/pkgconfig/monodoc.pc
 libdata/pkgconfig/smcs.pc
+libdata/pkgconfig/system.web.extensions.design_1.0.pc
+libdata/pkgconfig/system.web.extensions_1.0.pc
+libdata/pkgconfig/wcf.pc
+man/man1/csharp.1
+man/man1/mdassembler.1
+man/man1/mdoc-assemble.1
+man/man1/mdoc-export-html.1
+man/man1/mdoc-export-msxdoc.1
+man/man1/mdoc-update.1
+man/man1/mdoc-validate.1
+man/man1/mdoc.1
+man/man1/mdvalidater.1
+man/man1/mono-cil-strip.1
+man/man1/monodocer.1
+man/man1/monodocs2html.1
+man/man5/mdoc.5
 share/jay/ACKNOWLEDGEMENTS
 share/jay/NEW_FEATURES
 share/jay/NOTES
@@ -760,20 +911,38 @@
 share/libgc-mono/scale.html
 share/libgc-mono/simple_example.html
 share/libgc-mono/tree.html
+share/locale/de/LC_MESSAGES/mcs.mo
+share/locale/es/LC_MESSAGES/mcs.mo
+share/locale/ja/LC_MESSAGES/mcs.mo
 %%DATADIR%%-1.0/mono/cil/cil-opcodes.xml
 @dirrm %%DATADIR%%-1.0/mono/cil
 @dirrm %%DATADIR%%-1.0/mono
 @dirrm %%DATADIR%%-1.0
 @dirrm share/libgc-mono
 @dirrm share/jay
-@dirrm lib/mono/gac/nunit.util/2.2.0.0__96d09a1eb7f44a77
+@dirrm lib/monodoc/sources
+@dirrm lib/monodoc/sources
+@dirrm lib/monodoc
+@dirrm lib/monodoc
+@dirrm lib/mono/monodoc
+@dirrm lib/mono/gac/nunit.util/2.4.8.0__96d09a1eb7f44a77
 @dirrm lib/mono/gac/nunit.util
-@dirrm lib/mono/gac/nunit.mocks/2.2.8.0__96d09a1eb7f44a77
+@dirrm lib/mono/gac/nunit.mocks/2.4.8.0__96d09a1eb7f44a77
 @dirrm lib/mono/gac/nunit.mocks
-@dirrm lib/mono/gac/nunit.framework/2.2.0.0__96d09a1eb7f44a77
+@dirrm lib/mono/gac/nunit.framework/2.4.8.0__96d09a1eb7f44a77
+@dirrm lib/mono/gac/nunit.framework.extensions/2.4.8.0__96d09a1eb7f44a77
+@dirrm lib/mono/gac/nunit.framework.extensions
 @dirrm lib/mono/gac/nunit.framework
-@dirrm lib/mono/gac/nunit.core/2.2.0.0__96d09a1eb7f44a77
+@dirrm lib/mono/gac/nunit.core/2.4.8.0__96d09a1eb7f44a77
+@dirrm lib/mono/gac/nunit.core.interfaces/2.4.8.0__96d09a1eb7f44a77
+@dirrm lib/mono/gac/nunit.core.interfaces
+@dirrm lib/mono/gac/nunit.core.extensions/2.4.8.0__96d09a1eb7f44a77
+@dirrm lib/mono/gac/nunit.core.extensions
 @dirrm lib/mono/gac/nunit.core
+@dirrm lib/mono/gac/nunit-console-runner/2.4.8.0__96d09a1eb7f44a77
+@dirrm lib/mono/gac/nunit-console-runner
+@dirrm lib/mono/gac/monodoc/1.0.0.0__0738eb9f132ed756
+@dirrm lib/mono/gac/monodoc
 @dirrm lib/mono/gac/mono-service/2.0.0.0__0738eb9f132ed756
 @dirrm lib/mono/gac/mono-service/1.0.5000.0__0738eb9f132ed756
 @dirrm lib/mono/gac/mono-service
@@ -787,6 +956,7 @@
 @dirrm lib/mono/gac/System.Xml/2.0.0.0__b77a5c561934e089
 @dirrm lib/mono/gac/System.Xml/1.0.5000.0__b77a5c561934e089
 @dirrm lib/mono/gac/System.Xml.Linq/3.5.0.0__b77a5c561934e089
+@dirrm lib/mono/gac/System.Xml.Linq/2.0.5.0__31bf3856ad364e35
 @dirrm lib/mono/gac/System.Xml.Linq
 @dirrm lib/mono/gac/System.Xml
 @dirrm lib/mono/gac/System.Windows.Forms/2.0.0.0__b77a5c561934e089
@@ -797,24 +967,39 @@
 @dirrm lib/mono/gac/System.Web.Services/2.0.0.0__b03f5f7f11d50a3a
 @dirrm lib/mono/gac/System.Web.Services/1.0.5000.0__b03f5f7f11d50a3a
 @dirrm lib/mono/gac/System.Web.Services
+@dirrm lib/mono/gac/System.Web.Routing/3.5.0.0__31bf3856ad364e35
+@dirrm lib/mono/gac/System.Web.Routing
 @dirrm lib/mono/gac/System.Web.Extensions/3.5.0.0__31bf3856ad364e35
 @dirrm lib/mono/gac/System.Web.Extensions/1.0.61025.0__31bf3856ad364e35
 @dirrm lib/mono/gac/System.Web.Extensions.Design/3.5.0.0__31bf3856ad364e35
 @dirrm lib/mono/gac/System.Web.Extensions.Design/1.0.61025.0__31bf3856ad364e35
 @dirrm lib/mono/gac/System.Web.Extensions.Design
 @dirrm lib/mono/gac/System.Web.Extensions
+@dirrm lib/mono/gac/System.Web.DynamicData/3.5.0.0__31bf3856ad364e35
+@dirrm lib/mono/gac/System.Web.DynamicData
+@dirrm lib/mono/gac/System.Web.Abstractions/3.5.0.0__31bf3856ad364e35
+@dirrm lib/mono/gac/System.Web.Abstractions
 @dirrm lib/mono/gac/System.Web
 @dirrm lib/mono/gac/System.Transactions/2.0.0.0__b77a5c561934e089
 @dirrm lib/mono/gac/System.Transactions
 @dirrm lib/mono/gac/System.ServiceProcess/2.0.0.0__b03f5f7f11d50a3a
 @dirrm lib/mono/gac/System.ServiceProcess/1.0.5000.0__b03f5f7f11d50a3a
 @dirrm lib/mono/gac/System.ServiceProcess
+@dirrm lib/mono/gac/System.ServiceModel/3.0.0.0__b77a5c561934e089
+@dirrm lib/mono/gac/System.ServiceModel/2.0.5.0__31bf3856ad364e35
+@dirrm lib/mono/gac/System.ServiceModel.Web/3.0.0.0__31bf3856ad364e35
+@dirrm lib/mono/gac/System.ServiceModel.Web/2.0.5.0__7cec85d7bea7798e
+@dirrm lib/mono/gac/System.ServiceModel.Web
+@dirrm lib/mono/gac/System.ServiceModel
 @dirrm lib/mono/gac/System.Security/2.0.0.0__b03f5f7f11d50a3a
 @dirrm lib/mono/gac/System.Security/1.0.5000.0__b03f5f7f11d50a3a
 @dirrm lib/mono/gac/System.Security
+@dirrm lib/mono/gac/System.Runtime.Serialization/3.0.0.0__b77a5c561934e089
+@dirrm lib/mono/gac/System.Runtime.Serialization/2.0.5.0__7cec85d7bea7798e
 @dirrm lib/mono/gac/System.Runtime.Serialization.Formatters.Soap/2.0.0.0__b03f5f7f11d50a3a
 @dirrm lib/mono/gac/System.Runtime.Serialization.Formatters.Soap/1.0.5000.0__b03f5f7f11d50a3a
 @dirrm lib/mono/gac/System.Runtime.Serialization.Formatters.Soap
+@dirrm lib/mono/gac/System.Runtime.Serialization
 @dirrm lib/mono/gac/System.Runtime.Remoting/2.0.0.0__b77a5c561934e089
 @dirrm lib/mono/gac/System.Runtime.Remoting/1.0.5000.0__b77a5c561934e089
 @dirrm lib/mono/gac/System.Runtime.Remoting
@@ -826,6 +1011,10 @@
 @dirrm lib/mono/gac/System.Management/2.0.0.0__b03f5f7f11d50a3a
 @dirrm lib/mono/gac/System.Management/1.0.5000.0__b03f5f7f11d50a3a
 @dirrm lib/mono/gac/System.Management
+@dirrm lib/mono/gac/System.IdentityModel/3.0.0.0__b77a5c561934e089
+@dirrm lib/mono/gac/System.IdentityModel.Selectors/3.0.0.0__b77a5c561934e089
+@dirrm lib/mono/gac/System.IdentityModel.Selectors
+@dirrm lib/mono/gac/System.IdentityModel
 @dirrm lib/mono/gac/System.EnterpriseServices/2.0.0.0__b03f5f7f11d50a3a
 @dirrm lib/mono/gac/System.EnterpriseServices/1.0.5000.0__b03f5f7f11d50a3a
 @dirrm lib/mono/gac/System.EnterpriseServices
@@ -859,7 +1048,12 @@
 @dirrm lib/mono/gac/System.Configuration.Install/1.0.5000.0__b03f5f7f11d50a3a
 @dirrm lib/mono/gac/System.Configuration.Install
 @dirrm lib/mono/gac/System.Configuration
+@dirrm lib/mono/gac/System.ComponentModel.DataAnnotations/3.5.0.0__31bf3856ad364e35
+@dirrm lib/mono/gac/System.ComponentModel.DataAnnotations
 @dirrm lib/mono/gac/System
+@dirrm lib/mono/gac/RabbitMQ.Client/2.0.0.0__b03f5f7f11d50a3a
+@dirrm lib/mono/gac/RabbitMQ.Client/1.0.5000.0__b03f5f7f11d50a3a
+@dirrm lib/mono/gac/RabbitMQ.Client
 @dirrm lib/mono/gac/PEAPI/2.0.0.0__0738eb9f132ed756
 @dirrm lib/mono/gac/PEAPI/1.0.5000.0__0738eb9f132ed756
 @dirrm lib/mono/gac/PEAPI
@@ -876,6 +1070,8 @@
 @dirrm lib/mono/gac/Mono.WebBrowser
 @dirrm lib/mono/gac/Mono.Web/2.0.0.0__0738eb9f132ed756
 @dirrm lib/mono/gac/Mono.Web
+@dirrm lib/mono/gac/Mono.Simd/2.0.0.0__0738eb9f132ed756
+@dirrm lib/mono/gac/Mono.Simd
 @dirrm lib/mono/gac/Mono.Security/2.0.0.0__0738eb9f132ed756
 @dirrm lib/mono/gac/Mono.Security/1.0.5000.0__0738eb9f132ed756
 @dirrm lib/mono/gac/Mono.Security.Win32/2.0.0.0__0738eb9f132ed756
@@ -885,6 +1081,14 @@
 @dirrm lib/mono/gac/Mono.Posix/2.0.0.0__0738eb9f132ed756
 @dirrm lib/mono/gac/Mono.Posix/1.0.5000.0__0738eb9f132ed756
 @dirrm lib/mono/gac/Mono.Posix
+@dirrm lib/mono/gac/Mono.Messaging/2.0.0.0__b03f5f7f11d50a3a
+@dirrm lib/mono/gac/Mono.Messaging/1.0.5000.0__b03f5f7f11d50a3a
+@dirrm lib/mono/gac/Mono.Messaging.RabbitMQ/2.0.0.0__b03f5f7f11d50a3a
+@dirrm lib/mono/gac/Mono.Messaging.RabbitMQ/1.0.5000.0__b03f5f7f11d50a3a
+@dirrm lib/mono/gac/Mono.Messaging.RabbitMQ
+@dirrm lib/mono/gac/Mono.Messaging
+@dirrm lib/mono/gac/Mono.Management/2.0.0.0__0738eb9f132ed756
+@dirrm lib/mono/gac/Mono.Management
 @dirrm lib/mono/gac/Mono.Http/2.0.0.0__0738eb9f132ed756
 @dirrm lib/mono/gac/Mono.Http/1.0.5000.0__0738eb9f132ed756
 @dirrm lib/mono/gac/Mono.Http
@@ -909,16 +1113,19 @@
 @dirrm lib/mono/gac/Mono.Data.Sqlite/1.0.5000.0__0738eb9f132ed756
 @dirrm lib/mono/gac/Mono.Data.Sqlite
 @dirrm lib/mono/gac/Mono.Data
+@dirrm lib/mono/gac/Mono.CompilerServices.SymbolWriter/2.0.5.0__0738eb9f132ed756
 @dirrm lib/mono/gac/Mono.CompilerServices.SymbolWriter/2.0.0.0__0738eb9f132ed756
 @dirrm lib/mono/gac/Mono.CompilerServices.SymbolWriter/1.0.5000.0__0738eb9f132ed756
 @dirrm lib/mono/gac/Mono.CompilerServices.SymbolWriter
-@dirrm lib/mono/gac/Mono.Cecil/0.6.8.8607__0738eb9f132ed756
+@dirrm lib/mono/gac/Mono.Cecil/0.6.9.0__0738eb9f132ed756
 @dirrm lib/mono/gac/Mono.Cecil.Mdb/0.2.0.0__0738eb9f132ed756
 @dirrm lib/mono/gac/Mono.Cecil.Mdb
 @dirrm lib/mono/gac/Mono.Cecil
 @dirrm lib/mono/gac/Mono.Cairo/2.0.0.0__0738eb9f132ed756
 @dirrm lib/mono/gac/Mono.Cairo/1.0.5000.0__0738eb9f132ed756
 @dirrm lib/mono/gac/Mono.Cairo
+@dirrm lib/mono/gac/Mono.CSharp/2.1.0.0__0738eb9f132ed756
+@dirrm lib/mono/gac/Mono.CSharp
 @dirrm lib/mono/gac/Mono.C5/1.0.0.0__ba07f434b1c35cbd
 @dirrm lib/mono/gac/Mono.C5
 @dirrm lib/mono/gac/Microsoft.Vsa/8.0.0.0__b03f5f7f11d50a3a
@@ -985,6 +1192,7 @@
 @dirrm lib/mono/2.0/MSBuild
 @dirrm lib/mono/2.0
 @dirrm lib/mono/1.0
+@dirrm lib/mono-source-libs
 @dirrm lib/mono
 @dirrm include/mono-1.0/mono/utils
 @dirrm include/mono-1.0/mono/metadata
--- mono.diff ends here ---
Comment 1 Beat Gaetzi freebsd_committer 2009-06-04 11:38:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beat

I'll take it.
Comment 2 Beat Gaetzi freebsd_committer 2009-06-04 16:56:59 UTC
Responsible Changed
From-To: beat->flz

flz want this pr.
Comment 3 dfilter freebsd_committer 2009-06-22 08:56:00 UTC
flz         2009-06-22 07:55:50 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
    audio/taglib-sharp   Makefile 
    deskutils/tomboy     Makefile distinfo pkg-plist 
    devel                Makefile 
    devel/mono-tools     Makefile distinfo pkg-plist 
    lang/mono            Makefile distinfo pkg-plist 
    lang/mono/files      patch-configure patch-libgc_configure 
                         patch-mono_metadata_class.c 
                         patch-mono_tests_libtest.c 
    multimedia/banshee   Makefile 
    net/mono-zeroconf    Makefile distinfo pkg-plist 
    www                  Makefile 
    x11-toolkits/gnome-desktop-sharp20 Makefile distinfo 
    x11-toolkits/gnome-sharp20 Makefile distinfo pkg-plist 
    x11-toolkits/gtk-sharp20 Makefile distinfo pkg-plist 
    x11-toolkits/libgdiplus Makefile distinfo 
  Added files:
    lang/mono/files      patch-mcs_tools_security_certmgr.cs 
                         patch-mono_mini_mini-x86.c 
                         patch-mono_utils_mono-proclib.c 
    www/mod_mono         Makefile distinfo pkg-descr pkg-plist 
    www/mod_mono/files   patch-Makefile.in patch-src_Makefile.in 
                         patch-src_mod__mono.c 
    www/xsp              Makefile distinfo pkg-descr pkg-plist 
    www/xsp/files        patch-configure 
  Removed files:
    lang/mono/files      patch-mono_metadata_marshal.c 
                         patch-mono_mini_mini.c 
    devel/mono-tools/files patch-catalog.cs.in 
    devel/monodoc        Makefile distinfo pkg-descr pkg-plist 
    x11-toolkits/gnome-desktop-sharp20/files patch-configure 
  Log:
  - Update lang/mono to 2.4.
  - Update a bunch of c# ports as well (gtksharp20, mono-zeroconf, tomboy,
  gnome-desktop-sharp, gnomesharp20).
  - Remove devel/monodoc as it is now included in lang/mono.
  - Add www/mod_mono, an apache module serving ASP.net pages.
  - Add www/xsp, a mono-based webserver.
  
  PR:             ports/135248, ports/135249
  Submitted by:   Romain Tartiere <romain@blogreen.org>
  
  Revision  Changes    Path
  1.1938    +2 -1      ports/MOVED
  1.5       +2 -1      ports/audio/taglib-sharp/Makefile
  1.35      +2 -1      ports/deskutils/tomboy/Makefile
  1.12      +3 -3      ports/deskutils/tomboy/distinfo
  1.17      +23 -4     ports/deskutils/tomboy/pkg-plist
  1.3529    +0 -1      ports/devel/Makefile
  1.15      +6 -8      ports/devel/mono-tools/Makefile
  1.9       +3 -3      ports/devel/mono-tools/distinfo
  1.2       +0 -36     ports/devel/mono-tools/files/patch-catalog.cs.in (dead)
  1.9       +72 -7     ports/devel/mono-tools/pkg-plist
  1.21      +0 -33     ports/devel/monodoc/Makefile (dead)
  1.14      +0 -3      ports/devel/monodoc/distinfo (dead)
  1.4       +0 -4      ports/devel/monodoc/pkg-descr (dead)
  1.13      +0 -57     ports/devel/monodoc/pkg-plist (dead)
  1.77      +5 -6      ports/lang/mono/Makefile
  1.31      +3 -3      ports/lang/mono/distinfo
  1.14      +12 -14    ports/lang/mono/files/patch-configure
  1.8       +12 -9     ports/lang/mono/files/patch-libgc_configure
  1.1       +19 -0     ports/lang/mono/files/patch-mcs_tools_security_certmgr.cs (new)
  1.2       +9 -6      ports/lang/mono/files/patch-mono_metadata_class.c
  1.2       +0 -29     ports/lang/mono/files/patch-mono_metadata_marshal.c (dead)
  1.3       +76 -0     ports/lang/mono/files/patch-mono_mini_mini-x86.c (new)
  1.2       +0 -14     ports/lang/mono/files/patch-mono_mini_mini.c (dead)
  1.2       +3 -3      ports/lang/mono/files/patch-mono_tests_libtest.c
  1.1       +12 -0     ports/lang/mono/files/patch-mono_utils_mono-proclib.c (new)
  1.31      +237 -29   ports/lang/mono/pkg-plist
  1.13      +2 -3      ports/multimedia/banshee/Makefile
  1.3       +5 -7      ports/net/mono-zeroconf/Makefile
  1.2       +3 -3      ports/net/mono-zeroconf/distinfo
  1.3       +15 -5     ports/net/mono-zeroconf/pkg-plist
  1.2385    +2 -0      ports/www/Makefile
  1.1       +45 -0     ports/www/mod_mono/Makefile (new)
  1.1       +3 -0      ports/www/mod_mono/distinfo (new)
  1.1       +11 -0     ports/www/mod_mono/files/patch-Makefile.in (new)
  1.1       +13 -0     ports/www/mod_mono/files/patch-src_Makefile.in (new)
  1.1       +18 -0     ports/www/mod_mono/files/patch-src_mod__mono.c (new)
  1.1       +3 -0      ports/www/mod_mono/pkg-descr (new)
  1.1       +3 -0      ports/www/mod_mono/pkg-plist (new)
  1.1       +33 -0     ports/www/xsp/Makefile (new)
  1.1       +3 -0      ports/www/xsp/distinfo (new)
  1.1       +31 -0     ports/www/xsp/files/patch-configure (new)
  1.1       +4 -0      ports/www/xsp/pkg-descr (new)
  1.1       +257 -0    ports/www/xsp/pkg-plist (new)
  1.3       +1 -2      ports/x11-toolkits/gnome-desktop-sharp20/Makefile
  1.2       +3 -3      ports/x11-toolkits/gnome-desktop-sharp20/distinfo
  1.2       +0 -20     ports/x11-toolkits/gnome-desktop-sharp20/files/patch-configure (dead)
  1.10      +1 -2      ports/x11-toolkits/gnome-sharp20/Makefile
  1.3       +3 -3      ports/x11-toolkits/gnome-sharp20/distinfo
  1.3       +102 -2    ports/x11-toolkits/gnome-sharp20/pkg-plist
  1.61      +2 -4      ports/x11-toolkits/gtk-sharp20/Makefile
  1.25      +3 -3      ports/x11-toolkits/gtk-sharp20/distinfo
  1.24      +9 -8      ports/x11-toolkits/gtk-sharp20/pkg-plist
  1.16      +2 -2      ports/x11-toolkits/libgdiplus/Makefile
  1.7       +3 -3      ports/x11-toolkits/libgdiplus/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Florent Thoumie freebsd_committer 2009-06-22 09:02:28 UTC
State Changed
From-To: open->closed

Committed. Thanks!